//Copyright (C) Ben Parbury - All Rights Reserved. Unauthorized copying of this file, via any medium is strictly prohibited. Written by Ben Parbury <ben@gridlockinteractive.com> 2014
function LevelScript()
{
	this.CreateMenu = function()
	{
		var extras = new Menu("Extras", EMenuLayout.Vertical);
		
		extras.AddMenuItem(new Button("Statistics", function() { gLevelSystem.LoadLevel("Menu", "Stats"); }), EMenuItemStyle.Medium);
		
		if(!gDemo)
		{
			extras.AddMenuItem(new Button("Profiles", function() { gLevelSystem.LoadLevel("Menu", "Profiles"); }), EMenuItemStyle.Medium);
		}
		
		extras.AddMenuItem(new Button("Links", function() { gLevelSystem.LoadLevel("Menu", "About"); }), EMenuItemStyle.Medium);
		
		extras.AddMenuItem(new Button("Credits", function() 
			{ 
				gLevelSystem.LoadLevel("Menu", "Credits"); 
			}), EMenuItemStyle.Medium);
		
		extras.AddMenuItem(new Button("Back", function() { gLevelSystem.LoadLevel("Menu", gDemo ? "Demo" : "Title"); }), EMenuItemStyle.Small);

		return extras;
	}

	this.Load = function()
	{
		this.menu = this.CreateMenu();
		gMenuSystem.Register(this.menu);
	}
	
	this.Unload = function()
	{
		gMenuSystem.Unregister(this.menu);
	}
	
	this.Update = function()
	{
	}
	
	this.DrawClear = function()
	{
	}
	
	this.Draw = function()
	{
	}
	
	this.Debug = function()
	{
	}
}

